# Env_Value_T.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/OS_NS_stdlib.h"`
`#include "ace/Env_Value_T.inl"`
`#include "ace/Env_Value_T.cpp"`

Include dependency graph for Env_Value_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Env_Value< T >
| Environment Variable Value. More...

## Functions

template<class T>
void | ACE_Convert (const ACE_TCHAR *s, T &t)
| Function to convert a string s into type `T`.
template<>
ACE_END_VERSIONED_NAMESPACE_DECL ACE_BEGIN_VERSIONED_NAMESPACE_DECL void | ACE_Convert (const ACE_TCHAR *s, ACE_TCHAR *&v)
template<>
void | ACE_Convert (const ACE_TCHAR *s, const ACE_TCHAR *&v)
template<>
void | ACE_Convert (const ACE_TCHAR *s, short &si)
template<>
void | ACE_Convert (const ACE_TCHAR *s, u_short &us)
template<>
void | ACE_Convert (const ACE_TCHAR *s, u_int &i)
template<>
void | ACE_Convert (const ACE_TCHAR *s, long &l)
template<>
void | ACE_Convert (const ACE_TCHAR *s, int &i)
template<>
void | ACE_Convert (const ACE_TCHAR *s, u_long &ul)
template<>
void | ACE_Convert (const ACE_TCHAR *s, double &d)

## Detailed Description

Id
  Env_Value_T.h,v 4.32 2006/03/01 09:47:33 jwillemsen Exp

Template to encapsulate getting a value from an environment variable and using a supplied default value if not in the environment.

Author:
  Chris Cleeland (derived from work by Carlos O'Ryan)

## Function Documentation

template<>
void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | double & | d
| ) | `[inline]`

template<>
void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | u_long & | ul
| ) | `[inline]`

template<>
void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | int & | i
| ) | `[inline]`

template<>
void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | long & | l
| ) | `[inline]`

template<>
void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | u_int & | i
| ) | `[inline]`

template<>
void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | u_short & | us
| ) | `[inline]`

template<>
void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | short & | si
| ) | `[inline]`

template<>
void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | const ACE_TCHAR *& | v
| ) | `[inline]`

template<>
ACE_END_VERSIONED_NAMESPACE_DECL ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | ACE_TCHAR *& | v
| ) | `[inline]`

template<class T>
void ACE_Convert | ( | const ACE_TCHAR * | s,
|  | T & | t
| ) | `[inline]`

| Function to convert a string s into type `T`.